Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.transaction
Class RollbackException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.transaction.RollbackException
                        |
                        +--weblogic.transaction.RollbackException

public final class RollbackException
extends javax.transaction.RollbackException
implements weblogic.utils.NestedThrowable

This class extends javax.transaction.RollbackException and preserves the original reason for a rollback by reporting the application-supplied rollback reason.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RollbackException()`
`RollbackException(java.lang.String s)`
`RollbackException(java.lang.String s, java.lang.Throwable t)`

Method Summary
`java.lang.Throwable` | `getNested()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`
`void` | `printStackTrace(java.io.PrintWriter w)`
`void` | `superPrintStackTrace(java.io.PrintStream ps)`
`void` | `superPrintStackTrace(java.io.PrintWriter pw)`
`java.lang.String` | `superToString()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RollbackException

    public RollbackException()

### RollbackException

    public RollbackException(java.lang.String s)

### RollbackException

    public RollbackException(java.lang.String s,
                             java.lang.Throwable t)

Method Detail

### getNested

    public java.lang.Throwable getNested()

  Specified by:
    getNested in interface weblogic.utils.NestedThrowable

  See Also:
    `NestedThrowable.getNested()`

### superToString

    public java.lang.String superToString()

  Specified by:
    superToString in interface weblogic.utils.NestedThrowable

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintStream ps)

  Specified by:
    superPrintStackTrace in interface weblogic.utils.NestedThrowable

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintWriter pw)

  Specified by:
    superPrintStackTrace in interface weblogic.utils.NestedThrowable

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter w)

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD